Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.gui
Enum BackgroundTimeMode

    java.lang.Object
      java.lang.Enum<BackgroundTimeMode>
          org.ka2ddo.yaac.gui.BackgroundTimeMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BackgroundTimeMode>

    public enum BackgroundTimeMode

extends java.lang.Enum<BackgroundTimeMode>

This enumeration specifies the mode for plotting GUI backgrounds.

Enum Constant Summary
`DAYTIME` Use normal daytime colors.
`NIGHTTIME` Use dark background night colors.

Method Summary
`static BackgroundTimeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BackgroundTimeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DAYTIME

    public static final BackgroundTimeMode DAYTIME

  Use normal daytime colors.

### NIGHTTIME

    public static final BackgroundTimeMode NIGHTTIME

  Use dark background night colors.

Method Detail

### values

    public static BackgroundTimeMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BackgroundTimeMode c : BackgroundTimeMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BackgroundTimeMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD